%define upstream_name    Devel-FindRef
%define upstream_version 1.422

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Where is that reference to my variable hiding?
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(common::sense)
BuildRequires:	perl-devel


%description
Tracking down reference problems (e.g. you expect some object to be
destroyed, but there are still references to it that keep it alive) can be
very hard. Fortunately, perl keeps track of all its values, so tracking
references "backwards" is usually possible.

The 'track' function can help track down some of those references back to
the variables containing them.

For example, for this fragment:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.422.0-6.mga3
+ Revision: 365754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.422.0-5.mga3
+ Revision: 250515
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.422.0-4.mga2
+ Revision: 104171
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.422.0-3.mga1
+ Revision: 32747
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.422.0-2.mga1
+ Revision: 30114
- mageia rebuild
- imported package perl-Devel-FindRef

